Bug 202492 - "groupmember" attr is missing from `clustat -x` output
"groupmember" attr is missing from `clustat -x` output
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
: Reopened
Depends On:
Blocks: 206292
  Show dependency treegraph
 
Reported: 2006-08-14 15:55 EDT by Stanko Kupcevic
Modified: 2009-04-16 18:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-23 13:35:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
implements behavior (4.06 KB, patch)
2006-10-06 16:23 EDT, Lon Hohberger
no flags Details | Diff
corrected fix - removes memory leak (4.77 KB, patch)
2006-10-06 16:26 EDT, Lon Hohberger
no flags Details | Diff
corrected corrected patch. I'm going home now. (5.31 KB, patch)
2006-10-06 16:56 EDT, Lon Hohberger
no flags Details | Diff
Ancillary patch which adds back the groupmember attr (not just rgmanager attr) (1.65 KB, patch)
2006-10-12 18:06 EDT, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Stanko Kupcevic 2006-08-14 15:55:29 EDT
Description of problem:
Also, "rgmanager" attr of <node> is not accurate (always '0')

Version-Release number of selected component (if applicable):
rgmanager-2.0.4-0

How reproducible:
Always

Steps to Reproduce:
1. execute `clustat -x`
2. look for "groupmember" attr of <quorum>
3. look for "rgmanager" attr of <node>
Comment 1 Kiersten (Kerri) Anderson 2006-10-03 12:46:33 EDT
Devel ACK for RHEL 5.
Comment 2 RHEL Product and Program Management 2006-10-03 12:49:36 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 3 Lon Hohberger 2006-10-06 16:23:34 EDT
Created attachment 137948 [details]
implements behavior

[root@war utils]# ./clustat
Member Status: Quorate

  Member Name			     ID   Status
  ------ ----			     ---- ------
  war.lab.boston.redhat.com		1 Online, Local, rgmanager
  pestilence.lab.boston.redhat.com	2 Online

  Service Name	       Owner (Last)		      State	    
  ------- ----	       ----- ------		      -----	    
  service:test	       war.lab.boston.redhat.com      started	      
[root@war utils]# ./clustat
Member Status: Quorate

  Member Name			     ID   Status
  ------ ----			     ---- ------
  war.lab.boston.redhat.com		1 Online, Local, rgmanager
  pestilence.lab.boston.redhat.com	2 Online, rgmanager

  Service Name	       Owner (Last)		      State	    
  ------- ----	       ----- ------		      -----	    
  service:test	       war.lab.boston.redhat.com      started	      
[root@war utils]# ./clustat -x
<?xml version="1.0"?>
<clustat version="4.1.1">
  <quorum quorate="1"/>  <nodes>
    <node name="war.lab.boston.redhat.com" state="1" local="1" estranged="0"
rgmanager="1" nodeid="0x00000001"/>
    <node name="pestilence.lab.boston.redhat.com" state="1" local="0"
estranged="0" rgmanager="1" nodeid="0x00000002"/>
  </nodes>
  <groups>
    <group name="service:test" state="112" state_str="started" 
owner="war.lab.boston.redhat.com" last_owner="pestilence.lab.boston.redhat.com"
restarts="0" last_transition="1160165965" last_transition_str="Fri Oct	6
16:19:25 2006"/>
  </groups>
</clustat>
Comment 4 Lon Hohberger 2006-10-06 16:26:32 EDT
Created attachment 137949 [details]
corrected fix - removes memory leak
Comment 6 Lon Hohberger 2006-10-06 16:56:35 EDT
Created attachment 137953 [details]
corrected corrected patch.  I'm going home now.
Comment 7 Lon Hohberger 2006-10-06 17:15:40 EDT
Tested third patch with:

window 1: while :; do clusvcadm -d test; clusvcadm -e test; done
window 2: while :; do clustat ; done

No leaks found.
Comment 8 Jay Turner 2006-10-09 10:39:30 EDT
QE ack for RHEL5.
Comment 9 Lon Hohberger 2006-10-12 18:06:31 EDT
Created attachment 138389 [details]
Ancillary patch which adds back the groupmember attr (not just rgmanager attr)
Comment 10 Lon Hohberger 2006-10-12 18:11:31 EDT
[root@war utils]# ./clustat -x
<?xml version="1.0"?>
<clustat version="4.1.1">
  <quorum quorate="1" groupmember="0"/>
  <nodes>
    <node name="war.lab.boston.redhat.com" state="1" local="1" estranged="0"
rgmanager="0" nodeid="0x00000001"/>
    <node name="pestilence.lab.boston.redhat.com" state="0" local="0"
estranged="0" rgmanager="0" nodeid="0x00000002"/>
  </nodes>
</clustat>
[root@war utils]# service rgmanager start
Starting Cluster Service Manager:                          [  OK  ]
[root@war utils]# clustat
Member Status: Quorate

  Member Name                        ID   Status
  ------ ----                        ---- ------
  war.lab.boston.redhat.com             1 Online, Local, rgmanager
  pestilence.lab.boston.redhat.com      2 Offline

  Service Name         Owner (Last)                   State         
  ------- ----         ----- ------                   -----         
  service:test         war.lab.boston.redhat.com      started         
[root@war utils]# clustat -x
<?xml version="1.0"?>
<clustat version="4.1.1">
  <quorum quorate="1" groupmember="1"/>
  <nodes>
    <node name="war.lab.boston.redhat.com" state="1" local="1" estranged="0"
rgmanager="1" nodeid="0x00000001"/>
    <node name="pestilence.lab.boston.redhat.com" state="0" local="0"
estranged="0" rgmanager="0" nodeid="0x00000002"/>
  </nodes>
  <groups>
    <group name="service:test" state="112" state_str="started" 
owner="war.lab.boston.redhat.com" last_owner="none" restarts="0"
last_transition="1160691076" last_transition_str="Thu Oct 12 18:11:16 2006"/>
  </groups>
</clustat>
Comment 11 Stanko Kupcevic 2006-10-16 15:41:40 EDT
Thanks Lon
Comment 12 Jay Turner 2006-10-23 08:36:17 EDT
Closed/Upstream isn't a valid state for RHEL5 bugs at this point in the process.
 It gives no indication if the fix is actually available in the RHEL5 tree or
not, or if it's been verified to work as expected in a RHEL5 installation. 
Moving back to Assigned.  Please provide information about which version of the
package the fix is actually present in.
Comment 13 Lon Hohberger 2006-10-23 13:35:33 EDT
It was fixed and committed to upstream/public CVS prior to inclusion in any Red
Hat package build.

For Red Hat Packages, it was fixed in rgmanager-2.0.11 (and subsequent builds);
built on 12-Oct-2006 for FC6 (2.0.11-0) and 13-Oct-2006 for RHEL5 (2.0.11-1.el5).
Comment 14 Jay Turner 2006-10-23 14:45:51 EDT
[root@cobalt 4.91]# find . -name "rgmanager*" -print
./i386/os/Cluster/rgmanager-2.0.13-1.i386.rpm
./i386/debug/rgmanager-debuginfo-2.0.13-1.i386.rpm
./x86_64/os/Cluster/rgmanager-2.0.13-1.x86_64.rpm
./x86_64/debug/rgmanager-debuginfo-2.0.13-1.x86_64.rpm
./ia64/os/Cluster/rgmanager-2.0.13-1.ia64.rpm
./ia64/debug/rgmanager-debuginfo-2.0.13-1.ia64.rpm
./source/SRPMS/rgmanager-2.0.13-1.src.rpm
[root@cobalt 4.91]# pwd
/mnt/redhat/rel-eng/RHEL5-Server-20061020.1/4.91
Comment 15 Nate Straz 2007-12-13 12:18:44 EST
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.

Note You need to log in before you can comment on or make changes to this bug.